Summary: ajaxterm is a web-based terminal
%define realname smeserver-ajaxterm
%define version 1.0.5
%define release 2
Name: %{realname}
Version: %{version}
Release: %{release}%{?dist}
BuildArch: noarch
License: GPL
Group: System Environment/Libraries
Source: %{name}-%{version}.tar.gz
Source1: Ajaxterm-0.10.tar.gz
Patch0: smeserver-ajaxterm-1.0.5-DocumentationFromSpecFile.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
URL: http://antony.lesuisse.org/qweb/trac/wiki/AjaxTerm
Requires: smeserver-release > 7.1.3
BuildRequires: e-smith-devtools

%changelog
* Sat Mar 01 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0.5-2
- Moved documentation from spec file
- Changed description (copied from http://antony.lesuisse.org/qweb/trac/wiki/AjaxTerm)
- Fixed whitelines in changelog between entries

* Fri Feb 29 2008 Michael Weinberger <mweinber@neddix.de> 1.0.5-1
  Fix spec file

* Thu Nov 15 2007 Michael Weinberger <mweinber@neddix.de>
  Version 1.0.5
  Bug fix: SysV start: do not fall back do user root if user ajaxterm does not exist
  added config properties 'width' and 'height'
  
* Thu Nov 15 2007 Michael Weinberger <mweinber@neddix.de>
  Version 1.0.4
  added config property basicAuthUsers

* Wed Nov 14 2007 Michael Weinberger <mweinber@neddix.de>
  Version 1.0.3
  added config properties allowOnlyLocalhost and servicePort
  login with 'su' when localhost, otherwise with ssh
  Promtps for SSHPort at ssh login

%description
Ajaxterm is a web based terminal. It was totally inspired and works almost exactly like http://anyterm.org/ except it's much easier to install (see comparaison with anyterm below).

%prep
%setup -n %{realname}-%{version}
%patch0 -p1

%build

%install
rm -rf $RPM_BUILD_ROOT
tar xzvf $RPM_SOURCE_DIR/Ajaxterm-0.10.tar.gz
mv Ajaxterm-0.10/* root/opt/ajaxterm
ls root/opt/ajaxterm
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist  $RPM_BUILD_ROOT \
  --dir /opt/ajaxterm 'attr(0750,ajaxterm,www)' \
  --file /opt/ajaxterm/ 'attr(0640,ajaxterm,www)' \
  --file /opt/ajaxterm/ajaxterm.py 'attr(0550,ajaxterm,www)' \
  --file /opt/ajaxterm/login.pl 'attr(0550,ajaxterm,www)' \
 >> %{name}-%{version}-filelist
find $RPM_BUILD_ROOT -depth -type l -print |\
 sed "s@^$RPM_BUILD_ROOT@@g" >> %{name}-%{version}-filelist

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
%attr(0755,root,root)    %doc %dir          /usr/share/doc/smeserver-ajaxterm-1.0.5/
